diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.40/build-support/custom-modules/ns3-compiler-workarounds.cmake ns-3.41/build-support/custom-modules/ns3-compiler-workarounds.cmake
--- ns-3.40/build-support/custom-modules/ns3-compiler-workarounds.cmake	2023-09-27 13:30:37.530838700 -0700
+++ ns-3.41/build-support/custom-modules/ns3-compiler-workarounds.cmake	2024-02-09 14:44:07.721789000 -0800
@@ -17,39 +17,7 @@
 
 include(CheckCXXSourceCompiles)
 
-# Clang 6, 7 and 8 shipped with incomplete C++17 features and do not handle
-# ostream& operator<<(ostream& os, nullptr_t ptr)
-# https://gitlab.com/nsnam/ns-3-dev/-/issues/730
-check_cxx_source_compiles(
-  "
-    #include <iostream>
-    #include <cstddef>
-    inline std::ostream& operator << (std::ostream& os, std::nullptr_t ptr)
-    {
-      return os << \"nullptr\"; //whatever you want nullptr to show up as in the console
-    }
-    int main()
-    {
-        std::ostream os(NULL);
-        os << std::nullptr_t();
-        return 0;
-    }
-    "
-  MISSING_OSTREAM_NULLPTR_OPERATOR
-)
-
-if(${MISSING_OSTREAM_NULLPTR_OPERATOR})
-  message(
-    ${HIGHLIGHTED_STATUS}
-    "Using compiler workaround: compiling in \"ostream& operator<<(ostream&, nullptr_t)\""
-  )
-  add_definitions(
-    -include
-    ${CMAKE_CURRENT_SOURCE_DIR}/build-support/compiler-workarounds/ostream-operator-nullptr.h
-  )
-endif()
-
-# Some compilers (e.g. GCC < 9.1 and Clang < 9) do not link
+# Some compilers (e.g. GCC < 9.1) do not link
 # std::filesystem/std::experimental::filesystem by default. If the sample
 # program can be linked, it means it is indeed linked by default. Otherwise, we
 # link it manually. https://en.cppreference.com/w/cpp/filesystem
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.40/build-support/custom-modules/ns3-executables.cmake ns-3.41/build-support/custom-modules/ns3-executables.cmake
--- ns-3.40/build-support/custom-modules/ns3-executables.cmake	1969-12-31 16:00:00.000000000 -0800
+++ ns-3.41/build-support/custom-modules/ns3-executables.cmake	2024-02-09 14:44:07.725788800 -0800
@@ -0,0 +1,162 @@
+function(set_runtime_outputdirectory target_name output_directory target_prefix)
+  # Prevent duplicate '/' in EXECUTABLE_DIRECTORY_PATH, since it gets translated
+  # to doubled underlines and will cause the ns3 script to fail
+  string(REPLACE "//" "/" output_directory "${output_directory}")
+
+  set(ns3-exec-outputname ns${NS3_VER}-${target_name}${build_profile_suffix})
+  set(ns3-execs "${output_directory}${ns3-exec-outputname};${ns3-execs}"
+      CACHE INTERNAL "list of c++ executables"
+  )
+  set(ns3-execs-clean "${target_prefix}${target_name};${ns3-execs-clean}"
+      CACHE INTERNAL
+            "list of c++ executables without version prefix and build suffix"
+  )
+
+  set_target_properties(
+    ${target_prefix}${target_name}
+    PROPERTIES RUNTIME_OUTPUT_DIRECTORY ${output_directory}
+               RUNTIME_OUTPUT_NAME ${ns3-exec-outputname}
+  )
+  if(${XCODE})
+    # Is that so hard not to break people's CI, AAPL?? Why would you output the
+    # targets to a Debug/Release subfolder? Why?
+    foreach(OUTPUTCONFIG ${CMAKE_CONFIGURATION_TYPES})
+      string(TOUPPER ${OUTPUTCONFIG} OUTPUTCONFIG)
+      set_target_properties(
+        ${target_prefix}${target_name}
+        PROPERTIES RUNTIME_OUTPUT_DIRECTORY_${OUTPUTCONFIG} ${output_directory}
+                   RUNTIME_OUTPUT_NAME_${OUTPUTCONFIG} ${ns3-exec-outputname}
+      )
+    endforeach(OUTPUTCONFIG CMAKE_CONFIGURATION_TYPES)
+  endif()
+
+  if(${ENABLE_TESTS})
+    add_dependencies(all-test-targets ${target_prefix}${target_name})
+    # Create a CTest entry for each executable
+    if(WIN32)
+      # Windows require this workaround to make sure the DLL files are located
+      add_test(
+        NAME ctest-${target_prefix}${target_name}
+        COMMAND
+          ${CMAKE_COMMAND} -E env
+          "PATH=$ENV{PATH};${CMAKE_RUNTIME_OUTPUT_DIRECTORY};${CMAKE_LIBRARY_OUTPUT_DIRECTORY}"
+          ${ns3-exec-outputname}
+        WORKING_DIRECTORY ${output_directory}
+      )
+    else()
+      add_test(NAME ctest-${target_prefix}${target_name}
+               COMMAND ${ns3-exec-outputname}
+               WORKING_DIRECTORY ${output_directory}
+      )
+    endif()
+  endif()
+
+  if(${NS3_CLANG_TIMETRACE})
+    add_dependencies(timeTraceReport ${target_prefix}${target_name})
+  endif()
+endfunction(set_runtime_outputdirectory)
+
+function(get_scratch_prefix prefix)
+  # /path/to/ns-3-dev/scratch/nested-subdir
+  set(temp ${CMAKE_CURRENT_SOURCE_DIR})
+  # remove /path/to/ns-3-dev/ to get scratch/nested-subdir
+  string(REPLACE "${PROJECT_SOURCE_DIR}/" "" temp "${temp}")
+  # replace path separators with underlines
+  string(REPLACE "/" "_" temp "${temp}")
+  # save the prefix value to the passed variable
+  set(${prefix} ${temp}_ PARENT_SCOPE)
+endfunction()
+
+function(build_exec)
+  # Argument parsing
+  set(options IGNORE_PCH STANDALONE)
+  set(oneValueArgs EXECNAME EXECNAME_PREFIX EXECUTABLE_DIRECTORY_PATH
+                   INSTALL_DIRECTORY_PATH
+  )
+  set(multiValueArgs SOURCE_FILES HEADER_FILES LIBRARIES_TO_LINK DEFINITIONS)
+  cmake_parse_arguments(
+    "BEXEC" "${options}" "${oneValueArgs}" "${multiValueArgs}" ${ARGN}
+  )
+
+  # Resolve nested scratch prefixes without user intervention
+  string(REPLACE "${PROJECT_SOURCE_DIR}" "" relative_path
+                 "${CMAKE_CURRENT_SOURCE_DIR}"
+  )
+  if("${relative_path}" MATCHES "scratch" AND "${BEXEC_EXECNAME_PREFIX}"
+                                              STREQUAL ""
+  )
+    get_scratch_prefix(BEXEC_EXECNAME_PREFIX)
+  endif()
+
+  add_executable(
+    ${BEXEC_EXECNAME_PREFIX}${BEXEC_EXECNAME} "${BEXEC_SOURCE_FILES}"
+  )
+
+  target_compile_definitions(
+    ${BEXEC_EXECNAME_PREFIX}${BEXEC_EXECNAME} PUBLIC ${BEXEC_DEFINITIONS}
+  )
+
+  if(${PRECOMPILE_HEADERS_ENABLED} AND (NOT ${BEXEC_IGNORE_PCH}))
+    target_precompile_headers(
+      ${BEXEC_EXECNAME_PREFIX}${BEXEC_EXECNAME} REUSE_FROM stdlib_pch_exec
+    )
+  endif()
+
+  if(${NS3_STATIC} AND (NOT BEXEC_STANDALONE))
+    target_link_libraries(
+      ${BEXEC_EXECNAME_PREFIX}${BEXEC_EXECNAME} ${LIB_AS_NEEDED_PRE_STATIC}
+      ${lib-ns3-static}
+    )
+  elseif(${NS3_MONOLIB} AND (NOT BEXEC_STANDALONE))
+    target_link_libraries(
+      ${BEXEC_EXECNAME_PREFIX}${BEXEC_EXECNAME} ${LIB_AS_NEEDED_PRE}
+      ${lib-ns3-monolib} ${LIB_AS_NEEDED_POST}
+    )
+  else()
+    target_link_libraries(
+      ${BEXEC_EXECNAME_PREFIX}${BEXEC_EXECNAME} ${LIB_AS_NEEDED_PRE}
+      "${BEXEC_LIBRARIES_TO_LINK}" ${LIB_AS_NEEDED_POST}
+    )
+  endif()
+
+  set_runtime_outputdirectory(
+    "${BEXEC_EXECNAME}" "${BEXEC_EXECUTABLE_DIRECTORY_PATH}/"
+    "${BEXEC_EXECNAME_PREFIX}"
+  )
+
+  if(BEXEC_INSTALL_DIRECTORY_PATH)
+    install(TARGETS ${BEXEC_EXECNAME_PREFIX}${BEXEC_EXECNAME}
+            EXPORT ns3ExportTargets
+            RUNTIME DESTINATION ${BEXEC_INSTALL_DIRECTORY_PATH}
+    )
+    get_property(
+      filename TARGET ${BEXEC_EXECNAME_PREFIX}${BEXEC_EXECNAME}
+      PROPERTY RUNTIME_OUTPUT_NAME
+    )
+    add_custom_target(
+      uninstall_${BEXEC_EXECNAME_PREFIX}${BEXEC_EXECNAME}
+      COMMAND
+        rm ${CMAKE_INSTALL_PREFIX}/${BEXEC_INSTALL_DIRECTORY_PATH}/${filename}
+    )
+    add_dependencies(
+      uninstall uninstall_${BEXEC_EXECNAME_PREFIX}${BEXEC_EXECNAME}
+    )
+  endif()
+endfunction(build_exec)
+
+function(scan_python_examples path)
+  # Skip python examples search in case the bindings are disabled
+  if(NOT ${ENABLE_PYTHON_BINDINGS})
+    return()
+  endif()
+
+  # Search for python examples
+  file(GLOB_RECURSE python_examples ${path}/*.py)
+  foreach(python_example ${python_examples})
+    if(NOT (${python_example} MATCHES "examples-to-run"))
+      set(ns3-execs-py "${python_example};${ns3-execs-py}"
+          CACHE INTERNAL "list of python scripts"
+      )
+    endif()
+  endforeach()
+endfunction()
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.40/build-support/custom-modules/ns3-fetch-optional-modules-dependencies.cmake ns-3.41/build-support/custom-modules/ns3-fetch-optional-modules-dependencies.cmake
--- ns-3.40/build-support/custom-modules/ns3-fetch-optional-modules-dependencies.cmake	2023-09-27 13:30:37.530838700 -0700
+++ ns-3.41/build-support/custom-modules/ns3-fetch-optional-modules-dependencies.cmake	2024-02-09 14:44:07.725788800 -0800
@@ -2,13 +2,11 @@
 
 ExternalProject_Add(
   brite_dep
-  URL https://code.nsnam.org/BRITE/archive/30338f4f63b9.zip
-  URL_HASH MD5=b36ecf8f6b5f2cfae936ba1f1bfcff5c
+  GIT_REPOSITORY https://gitlab.com/nsnam/BRITE.git
+  GIT_TAG 29c301e828d2a4f303b3d0c69360c987b02d0745
   PREFIX brite_dep
   BUILD_IN_SOURCE TRUE
-  CONFIGURE_COMMAND make
-  BUILD_COMMAND make
-  INSTALL_COMMAND make install PREFIX=${CMAKE_OUTPUT_DIRECTORY}
+  CMAKE_ARGS -DCMAKE_INSTALL_PREFIX=${CMAKE_OUTPUT_DIRECTORY}
 )
 
 ExternalProject_Add(
@@ -18,21 +16,40 @@
   PREFIX click_dep
   BUILD_IN_SOURCE TRUE
   UPDATE_DISCONNECTED TRUE
-  CONFIGURE_COMMAND ./configure --disable-linuxmodule --enable-nsclick
-                    --enable-wifi --prefix ${CMAKE_OUTPUT_DIRECTORY}
+  CONFIGURE_COMMAND
+    ./configure --disable-linuxmodule --enable-nsclick --enable-wifi --prefix
+    ${CMAKE_OUTPUT_DIRECTORY} --libdir ${CMAKE_LIBRARY_OUTPUT_DIRECTORY}
   BUILD_COMMAND make -j${NumThreads}
   INSTALL_COMMAND make install
 )
 
 ExternalProject_Add(
   openflow_dep
-  URL https://code.nsnam.org/openflow/archive/d45e7d184151.zip
-  URL_HASH MD5=a068cdaec5523586921b2f1f81f10916
+  GIT_REPOSITORY https://gitlab.com/nsnam/openflow.git
+  GIT_TAG 4869d4f6900342440af02ea93a3d8040c8316e5f
   PREFIX openflow_dep
   BUILD_IN_SOURCE TRUE
-  CONFIGURE_COMMAND ./waf configure --prefix ${CMAKE_OUTPUT_DIRECTORY}
-  BUILD_COMMAND ./waf build
-  INSTALL_COMMAND ./waf install
+  CMAKE_ARGS -DCMAKE_INSTALL_PREFIX=${CMAKE_OUTPUT_DIRECTORY}
+)
+
+find_file(
+  BOOST_STATIC_ASSERT
+  NAMES static_assert.hpp
+  PATH_SUFFIXES boost
+  HINTS /usr/local
+)
+
+if(${BOOST_STATIC_ASSERT} STREQUAL "BOOST_STATIC_ASSERT-NOTFOUND")
+  message(FATAL_ERROR "Boost static assert is required by openflow")
+endif()
+
+get_filename_component(boost_dir ${BOOST_STATIC_ASSERT} DIRECTORY)
+
+install(
+  DIRECTORY ${boost_dir}
+  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
+  USE_SOURCE_PERMISSIONS
+  PATTERN "boost/*"
 )
 
 install(
@@ -56,11 +73,12 @@
   USE_SOURCE_PERMISSIONS
   PATTERN "boost/*"
 )
+
 install(
-  DIRECTORY ${CMAKE_OUTPUT_DIRECTORY}/lib/
+  DIRECTORY ${CMAKE_OUTPUT_DIRECTORY}/${libdir}/
   DESTINATION ${CMAKE_INSTALL_LIBDIR}
   USE_SOURCE_PERMISSIONS
-  PATTERN "lib/*"
+  PATTERN "${libdir}/*"
 )
 
 macro(add_dependency_to_optional_modules_dependencies)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.40/build-support/custom-modules/ns3-filter-modules.cmake ns-3.41/build-support/custom-modules/ns3-filter-modules.cmake
--- ns-3.40/build-support/custom-modules/ns3-filter-modules.cmake	1969-12-31 16:00:00.000000000 -0800
+++ ns-3.41/build-support/custom-modules/ns3-filter-modules.cmake	2024-02-09 14:44:07.725788800 -0800
@@ -0,0 +1,233 @@
+# Copyright (c) 2023 Universidade de Brasília
+#
+# This program is free software; you can redistribute it and/or modify it under
+# the terms of the GNU General Public License version 2 as published by the Free
+# Software Foundation;
+#
+# This program is distributed in the hope that it will be useful, but WITHOUT
+# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
+# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
+# details.
+#
+# You should have received a copy of the GNU General Public License along with
+# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
+# Place, Suite 330, Boston, MA  02111-1307 USA
+#
+# Author: Gabriel Ferreira <gabrielcarvfer@gmail.com>
+
+# This is where recursive module dependency checking is implemented for
+# filtering enabled and disabled modules
+
+function(filter_modules modules_to_filter all_modules_list filter_in)
+  set(new_modules_to_build)
+  # We are receiving variable names as arguments, so we have to "dereference"
+  # them first That is why we have the duplicated ${${}}
+  foreach(module ${${all_modules_list}})
+    if(${filter_in} (${module} IN_LIST ${modules_to_filter}))
+      list(APPEND new_modules_to_build ${module})
+    endif()
+  endforeach()
+  set(${all_modules_list} ${new_modules_to_build} PARENT_SCOPE)
+endfunction()
+
+function(resolve_dependencies module_name dependencies contrib_dependencies)
+  # Create cache variables to hold dependencies list and visited
+  set(dependency_visited "" CACHE INTERNAL "")
+  set(contrib_dependency_visited "" CACHE INTERNAL "")
+  recursive_dependency(${module_name})
+  if(${module_name} IN_LIST dependency_visited)
+    set(temp ${dependency_visited})
+    list(REMOVE_AT temp 0)
+    set(${dependencies} ${temp} PARENT_SCOPE)
+    set(${contrib_dependencies} ${contrib_dependency_visited} PARENT_SCOPE)
+  else()
+    set(temp ${contrib_dependency_visited})
+    list(REMOVE_AT temp 0)
+    set(${dependencies} ${dependency_visited} PARENT_SCOPE)
+    set(${contrib_dependencies} ${temp} PARENT_SCOPE)
+  endif()
+  unset(dependency_visited CACHE)
+  unset(contrib_dependency_visited CACHE)
+endfunction()
+
+function(filter_libraries cmakelists_contents libraries)
+  string(REGEX MATCHALL "{lib[^}]*[^obj]}" matches "${cmakelists_content}")
+  list(REMOVE_ITEM matches "{libraries_to_link}")
+  string(REPLACE "{lib\${name" "" matches "${matches}") # special case for
+  # src/test
+  string(REPLACE "{lib" "" matches "${matches}")
+  string(REPLACE "}" "" matches "${matches}")
+  set(${libraries} ${matches} PARENT_SCOPE)
+endfunction()
+
+function(recursive_dependency module_name)
+  # Read module CMakeLists.txt and search for ns-3 modules
+  set(src_cmakelist ${PROJECT_SOURCE_DIR}/src/${module_name}/CMakeLists.txt)
+  set(contrib_cmakelist
+      ${PROJECT_SOURCE_DIR}/contrib/${module_name}/CMakeLists.txt
+  )
+  set(contrib FALSE)
+  if(EXISTS ${src_cmakelist})
+    file(READ ${src_cmakelist} cmakelists_content)
+  elseif(EXISTS ${contrib_cmakelist})
+    file(READ ${contrib_cmakelist} cmakelists_content)
+    set(contrib TRUE)
+  else()
+    set(cmakelists_content "")
+    message(${HIGHLIGHTED_STATUS}
+            "The CMakeLists.txt file for module ${module_name} was not found."
+    )
+  endif()
+
+  filter_libraries("${cmakelists_content}" matches)
+
+  # Add this visited module dependencies to the dependencies list
+  if(contrib)
+    set(contrib_dependency_visited
+        "${contrib_dependency_visited};${module_name}" CACHE INTERNAL ""
+    )
+    set(examples_cmakelists ${contrib_cmakelist})
+  else()
+    set(dependency_visited "${dependency_visited};${module_name}" CACHE INTERNAL
+                                                                        ""
+    )
+    set(examples_cmakelists ${src_cmakelist})
+  endif()
+
+  # cmake-format: off
+  # Scan dependencies required by this module examples
+  set(example_matches)
+  #if(${ENABLE_EXAMPLES})
+  #  string(REPLACE "${module_name}" "${module_name}/examples" examples_cmakelists ${examples_cmakelists})
+  #  if(EXISTS ${examples_cmakelists})
+  #    file(READ ${examples_cmakelists} cmakelists_content)
+  #    filter_libraries(${cmakelists_content} example_matches)
+  #  endif()
+  #endif()
+  # cmake-format: on
+
+  # For each dependency, call this same function
+  set(matches "${matches};${example_matches}")
+  foreach(match ${matches})
+    if(NOT ((${match} IN_LIST dependency_visited)
+            OR (${match} IN_LIST contrib_dependency_visited))
+    )
+      recursive_dependency(${match})
+    endif()
+  endforeach()
+endfunction()
+
+macro(
+  filter_enabled_and_disabled_modules
+  libs_to_build
+  contrib_libs_to_build
+  NS3_ENABLED_MODULES
+  NS3_DISABLED_MODULES
+  ns3rc_enabled_modules
+  ns3rc_disabled_modules
+)
+  mark_as_advanced(ns3-all-enabled-modules)
+
+  # Before filtering, we set a variable with all scanned modules in the src
+  # directory
+  set(scanned_modules ${${libs_to_build}})
+
+  # Ensure enabled and disable modules lists are using semicolons
+  string(REPLACE "," ";" ${NS3_ENABLED_MODULES} "${${NS3_ENABLED_MODULES}}")
+  string(REPLACE "," ";" ${NS3_DISABLED_MODULES} "${${NS3_DISABLED_MODULES}}")
+
+  # Now that scanning modules finished, we can remove the disabled modules or
+  # replace the modules list with the ones in the enabled list
+  if(${NS3_ENABLED_MODULES} OR ${ns3rc_enabled_modules})
+    # List of enabled modules passed by the command line overwrites list read
+    # from ns3rc
+    if(${NS3_ENABLED_MODULES})
+      set(ns3rc_enabled_modules ${${NS3_ENABLED_MODULES}})
+    endif()
+
+    # Filter enabled modules
+    filter_modules(ns3rc_enabled_modules libs_to_build "")
+    filter_modules(ns3rc_enabled_modules contrib_libs_to_build "")
+
+    # Use recursion to automatically determine dependencies required by the
+    # manually enabled modules
+    foreach(lib ${${contrib_libs_to_build}})
+      resolve_dependencies(${lib} dependencies contrib_dependencies)
+      list(APPEND ${contrib_libs_to_build} "${contrib_dependencies}")
+      list(APPEND ${libs_to_build} "${dependencies}")
+      unset(dependencies)
+      unset(contrib_dependencies)
+    endforeach()
+
+    foreach(lib ${${libs_to_build}})
+      resolve_dependencies(${lib} dependencies contrib_dependencies)
+      list(APPEND ${libs_to_build} "${dependencies}")
+      unset(dependencies)
+      unset(contrib_dependencies)
+    endforeach()
+  endif()
+
+  if(${NS3_DISABLED_MODULES} OR ${ns3rc_disabled_modules})
+    # List of disabled modules passed by the command line overwrites list read
+    # from ns3rc
+
+    if(${NS3_DISABLED_MODULES})
+      set(ns3rc_disabled_modules ${${NS3_DISABLED_MODULES}})
+    endif()
+
+    set(all_libs ${${libs_to_build}};${${contrib_libs_to_build}})
+
+    # We then use the recursive dependency finding to get all dependencies of
+    # all modules
+    foreach(lib ${all_libs})
+      resolve_dependencies(${lib} dependencies contrib_dependencies)
+      set(${lib}_dependencies "${dependencies};${contrib_dependencies}")
+      unset(dependencies)
+      unset(contrib_dependencies)
+    endforeach()
+
+    # Now we can begin removing libraries that require disabled dependencies
+    set(disabled_libs "${${ns3rc_disabled_modules}}")
+    foreach(libo ${all_libs})
+      foreach(lib ${all_libs})
+        foreach(disabled_lib ${disabled_libs})
+          if(${lib} STREQUAL ${disabled_lib})
+            continue()
+          endif()
+          if(${disabled_lib} IN_LIST ${lib}_dependencies)
+            list(APPEND disabled_libs ${lib})
+            break() # proceed to the next lib in all_libs
+          endif()
+        endforeach()
+      endforeach()
+    endforeach()
+
+    # Clean dependencies lists
+    foreach(lib ${all_libs})
+      unset(${lib}_dependencies)
+    endforeach()
+
+    # We can filter out disabled modules
+    filter_modules(disabled_libs libs_to_build "NOT")
+    filter_modules(disabled_libs contrib_libs_to_build "NOT")
+
+    if(core IN_LIST ${libs_to_build})
+      list(APPEND ${libs_to_build} test) # include test module
+    endif()
+  endif()
+
+  # Older CMake versions require this workaround for empty lists
+  if(NOT ${contrib_libs_to_build})
+    set(${contrib_libs_to_build} "")
+  endif()
+
+  # Filter out any eventual duplicates
+  list(REMOVE_DUPLICATES ${libs_to_build})
+  list(REMOVE_DUPLICATES ${contrib_libs_to_build})
+
+  # Export list with all enabled modules (used to separate ns libraries from
+  # non-ns libraries in ns3_module_macros)
+  set(ns3-all-enabled-modules "${${libs_to_build}};${${contrib_libs_to_build}}"
+      CACHE INTERNAL "list with all enabled modules"
+  )
+endmacro()
